# Installation
> `npm install --save @types/rdfjs__parser-jsonld`

# Summary
This package contains type definitions for @rdfjs/parser-jsonld (https://github.com/rdfjs-base/parser-jsonld).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/rdfjs__parser-jsonld.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/rdfjs__parser-jsonld/index.d.ts)
````ts
import { EventEmitter } from "events";
import { Context } from "jsonld/jsonld-spec.js";
import { BaseQuad, DataFactory, Quad, Sink, Stream } from "rdf-js";

export interface ParserOptions {
    baseIRI?: string | undefined;
    context?: Context | undefined;
    factory?: DataFactory | undefined;
}

export default class Parser<Q extends BaseQuad = Quad> implements Sink<EventEmitter, Stream<Q>> {
    constructor(options?: ParserOptions);

    import(stream: EventEmitter, options?: ParserOptions): Stream<Q>;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/jsonld](https://npmjs.com/package/@types/jsonld), [rdf-js](https://npmjs.com/package/rdf-js)

# Credits
These definitions were written by [Chris Wilkinson](https://github.com/thewilkybarkid), and [tpluscode](https://github.com/tpluscode).
